Subject: Re: linux-next: build warnings after merge of the kspp-gustavo tree

From: "Gustavo A. R. Silva" <[email-masked]>
Date: Fri, 24 Nov 2023 13:07:55 -0600

Hi Stephen,

On 11/22/23 00:24, Gustavo A. R. Silva wrote:
> Stephen,
> 
> I need to double-check that. I'll be able to come back to work on this in 12-15 hours. I'm about to travel.
> 
> Thanks
> --
> Gustavo
> 
> 
> On Nov 21, 2023, 23:15, at 23:15, Stephen Rothwell <[email-masked]> wrote:
>> Hi Gustavo,
>>
>> On Tue, 21 Nov 2023 22:04:17 -0600 "Gustavo A. R. Silva"
>> <[email-masked]> wrote:
>>>
>>> This doesn't show up with more recent compilers because it was an
>> issue in GCC.
>>
>> Sure, but we do still support gcc back to v5.1 .. are there other
>> earlier versions where you may want to suppress these warnings?

The GCC bug only appears in GCC 11. We should catch and fix -Wstringop-overflow
warnings with the rest of the versions that support this compiler option. :)

Thanks!
--
Gustavo